Tenant Management

Eclipse has a comprehensive and flexible tenant configuration setup - it is imperative that tenants test and confirm tenant setup in the sandbox environment.

Tenant Configuration Overview

A tenant in Eclipse is identified by a numeric tenantId (assigned at creation). All configuration for a tenant is stored as key-value pairs accessible at:

GET /eclipse-conductor/rest/v1/tenants/{tenantId}/config-items

Configuration items are of three types:

TypeStorageExample KeyNotes
Tenant configPer-tenant key-value pairsEverything.AllowedControls feature flags, limits, integrations
Public tenant configGlobal property public.tenant.<tenantId>tenantPositionAliasesPublicly readable settings such as portal display options
Wallet type configPer-wallet-type attributesCurrency, permissionsTemplateControls wallet behaviour and limits

When diagnosing issues, always check tenant config first — the majority of failures are caused by missing or misconfigured config keys.

Sandbox-to-Production Promotion

A common use case for accountable institutions is the ability to promote tenants from sandbox to production. For this Eclipse provides a set of capabilities, specifically the ability to:

  1. Extract a tenant configuration to a JSON file format
  2. Create a tenant from JSON file format

Extract tenant to file

This allows a tenant to be set up on sandbox exactly as it will be in production, so the full configuration is correctly tested before promoting to production.

The export includes: wallet types, system and tenant wallets, admin users, tenant config items, permissions, and associated public properties.

Via API:

GET /eclipse-conductor/rest/v1/tenants/{tenantId}?includeTenantExportJson=true
Authorization: Bearer <GLOBAL_ADMIN_OR_INSTITUTION_ADMIN_JWT>

Via Admin Portal: Navigate to the tenant, click Export Tenant, and download the JSON file.

Note: Certain tenant config values that are environment-specific (e.g. API credentials, account numbers, and HSM parameters) will be marked as <TODO> in the generated JSON file. These must be replaced with the correct production values before using the file to create the production tenant. Search the exported JSON for TODO to find all values that require review.

Example tenant JSON file:

name	:	Richard Tenant 103
phone1	:	1234567890
tradingName	:	Richard Tenant 103
exportedTenantConfigurations	:	{\"createWalletType\":[{\"walletTypeId\":3079,\"name\":\"System Wallet type\",\"mode\":\"SYSTEM\",\"configuration\":[{\"att\":\"Currency\",\"val\":\"ZAR\"},{\"att\":\"permissionsTemplate\",\"val\":\"system\"}]},{\"walletTypeId\":3080,\"name\":\"Virtual Card\",\"mode\":\"PREPAID_CARD\",\"configuration\":[{\"att\":\"Kyc\",\"val\":\"nedbank\"},{\"att\":\"Currency\",\"val\":\"ZAR\"},{\"att\":\"ProgramCode\",\"val\":\"PRG17\"},{\"att\":\"permissionsTemplate\",\"val\":\"default\"}]},{\"walletTypeId\":3081,\"name\":\"Digital Wallet\",\"mode\":\"CLOSED_LOOP_DIGITAL\",\"configuration\":[{\"att\":\"Kyc\",\"val\":\"nedbank.sandbox\"},{\"att\":\"maxDebitsPerMonth\",\"val\":\"25000\"},{\"att\":\"permissionsTemplate\",\"val\":\"default\"},{\"att\":\"Currency\",\"val\":\"ZAR\"}]},{\"walletTypeId\":3082,\"name\":\"Tenant Wallet type\",\"mode\":\"CLOSED_LOOP_DIGITAL\",\"configuration\":[{\"att\":\"Currency\",\"val\":\"ZAR\"},{\"att\":\"permissionsTemplate\",\"val\":\"tenant\"}]}],\"createTenantWallet\":[{\"status\":\"ACTIVE\",\"name\":\"Tenant Root\",\"description\":\"Create System Wallet - Tenant Root\",\"walletTypeId\":3079,\"configuration\":[{\"att\":\"walletTypeIndex\",\"val\":\"0\"},{\"att\":\"prop\",\"val\":\"source.wallet.config.ZA_PEACH_CARD\"},{\"att\":\"prop\",\"val\":\"source.wallet.config.ZA_OZOW\"},{\"att\":\"walletTypeIndex\",\"val\":\"0\"}]},{\"status\":\"ACTIVE\",\"name\":\"Masterpass Incoming Source\",\"description\":\"Create System Wallet - Masterpass Incoming Source\",\"walletTypeId\":3079,\"configuration\":[{\"att\":\"walletTypeIndex\",\"val\":\"0\"},{\"att\":\"prop\",\"val\":\"source.wallet.config.ZA_MASTERPASS_IN.CARD.SERVER\"},{\"att\":\"walletTypeIndex\",\"val\":\"0\"}]},{\"status\":\"ACTIVE\",\"name\":\"Nedbank EFT/ATM Topup Source\",\"description\":\"Create System Wallet - Nedbank EFT/ATM Topup Source\",\"walletTypeId\":3079,\"configuration\":[{\"att\":\"walletTypeIndex\",\"val\":\"0\"},{\"att\":\"prop\",\"val\":\"source.wallet.config.GLOBAL_BANK.EFT.SERVER.ZA_Nedbank\"},{\"att\":\"prop\",\"val\":\"source.wallet.config.GLOBAL_BANK.ATM.SERVER.ZA_Nedbank\"},{\"att\":\"walletTypeIndex\",\"val\":\"0\"}]},{\"status\":\"ACTIVE\",\"name\":\"Ozow Topup Source\",\"description\":\"Create System Wallet - Ozow Topup Source\",\"walletTypeId\":3079,\"configuration\":[{\"att\":\"walletTypeIndex\",\"val\":\"0\"},{\"att\":\"walletTypeIndex\",\"val\":\"0\"}]},{\"status\":\"ACTIVE\",\"name\":\"PnP Deposits Source\",\"description\":\"Debited when customers are credited for deposits at PnP\",\"walletTypeId\":3079,\"configuration\":[{\"att\":\"walletTypeIndex\",\"val\":\"0\"},{\"att\":\"prop\",\"val\":\"source.wallet.config.ZA_PNP_DEPOSIT\"},{\"att\":\"walletTypeIndex\",\"val\":\"0\"}]},{\"status\":\"ACTIVE\",\"name\":\"Digital Wallet\",\"description\":\"Create Tenant Digital Wallet\",\"walletTypeId\":3082,\"configuration\":[{\"att\":\"walletTypeIndex\",\"val\":\"3\"},{\"att\":\"walletTypeIndex\",\"val\":\"3\"}]},{\"status\":\"ACTIVE\",\"name\":\"xTenantInboundWallet\",\"description\":\"Create System Wallet - xTenantInboundWallet\",\"walletTypeId\":3079,\"configuration\":[{\"att\":\"walletTypeIndex\",\"val\":\"0\"},{\"att\":\"walletTypeIndex\",\"val\":\"0\"}]},{\"status\":\"ACTIVE\",\"name\":\"HALO Incoming Source\",\"description\":\"Create System Wallet - HALO Incoming Source\",\"walletTypeId\":3079,\"configuration\":[{\"att\":\"walletTypeIndex\",\"val\":\"0\"},{\"att\":\"prop\",\"val\":\"source.wallet.config.ZA_HALO.CARD.SERVER\"},{\"att\":\"walletTypeIndex\",\"val\":\"0\"}]},{\"status\":\"ACTIVE\",\"name\":\"PnP Withdrawals Destination\",\"description\":\"Create System Wallet - Credited when customers withdraw from PnP\",\"walletTypeId\":3079,\"configuration\":[{\"att\":\"walletTypeIndex\",\"val\":\"0\"},{\"att\":\"prop\",\"val\":\"destination.wallet.config.ZA_PNP.CASH.NORMAL\"},{\"att\":\"prop\",\"val\":\"destination.wallet.config.ZA_PNP.CASH\"},{\"att\":\"prop\",\"val\":\"destination.wallet.config.ZA_PNP.TENDER\"},{\"att\":\"walletTypeIndex\",\"val\":\"0\"}]},{\"status\":\"ACTIVE\",\"name\":\"Nedbank EFT Destination\",\"description\":\"Create System Wallet - Credited when customer is debited from Nedbank EFTPnP Withdrawals Destination\",\"walletTypeId\":3079,\"configuration\":[{\"att\":\"walletTypeIndex\",\"val\":\"0\"},{\"att\":\"prop\",\"val\":\"destination.wallet.config.ZA_NEDBANK_EFT.EFT\"},{\"att\":\"prop\",\"val\":\"destination.wallet.config.ZA_NEDBANK_EFT_IMMEDIATE.EFT\"},{\"att\":\"walletTypeIndex\",\"val\":\"0\"}]},{\"status\":\"ACTIVE\",\"name\":\"VAS Destination\",\"description\":\"Create System Wallet - Credited when VAS are purchased\",\"walletTypeId\":3079,\"configuration\":[{\"att\":\"walletTypeIndex\",\"val\":\"0\"},{\"att\":\"prop\",\"val\":\"destination.wallet.config.VAS.1\"},{\"att\":\"prop\",\"val\":\"destination.wallet.config.VAS.11\"},{\"att\":\"prop\",\"val\":\"destination.wallet.config.VAS.13\"},{\"att\":\"walletTypeIndex\",\"val\":\"0\"}]},{\"status\":\"ACTIVE\",\"name\":\"Paycorp Withdrawals Destination\",\"description\":\"Create System Wallet - Credited when customers withdraw from Paycorp\",\"walletTypeId\":3079,\"configuration\":[{\"att\":\"walletTypeIndex\",\"val\":\"0\"},{\"att\":\"prop\",\"val\":\"destination.wallet.config.ZA_PAYCORP_ATM.ATM\"},{\"att\":\"walletTypeIndex\",\"val\":\"0\"}]},{\"status\":\"ACTIVE\",\"name\":\"Masterpass Fees\",\"description\":\"Create System Wallet - Credited when customer pay fees for accepting Masterpass\",\"walletTypeId\":3079,\"configuration\":[{\"att\":\"walletTypeIndex\",\"val\":\"0\"},{\"att\":\"prop\",\"val\":\"fees.wallet.config.Pay.ZA_MASTERPASS_IN.CARD.SERVER\"},{\"att\":\"walletTypeIndex\",\"val\":\"0\"}]},{\"status\":\"ACTIVE\",\"name\":\"PnP Deposit Fees\",\"description\":\"Create System Wallet - Credited when fees are paid for PnP withdrawals\",\"walletTypeId\":3079,\"configuration\":[{\"att\":\"walletTypeIndex\",\"val\":\"0\"},{\"att\":\"prop\",\"val\":\"fees.wallet.config.Pay.ZA_PNP_DEPOSIT\"},{\"att\":\"prop\",\"val\":\"fees.wallet.config.Wdr.ZA_PNP.CASH.NORMAL\"},{\"att\":\"prop\",\"val\":\"fees.wallet.config.Wdr.ZA_PNP.CASH\"},{\"att\":\"prop\",\"val\":\"fees.wallet.config.Wdr.ZA_PNP.TENDER\"},{\"att\":\"walletTypeIndex\",\"val\":\"0\"}]},{\"status\":\"ACTIVE\",\"name\":\"Nedbank Fees\",\"description\":\"Create System Wallet - Nedbank Fees\",\"walletTypeId\":3079,\"configuration\":[{\"att\":\"walletTypeIndex\",\"val\":\"0\"},{\"att\":\"prop\",\"val\":\"fees.wallet.config.Pay.GLOBAL_BANK.ATM.SERVER.ZA_Nedbank\"},{\"att\":\"prop\",\"val\":\"fees.wallet.config.Wdr.ZA_NEDBANK_EFT.EFT\"},{\"att\":\"prop\",\"val\":\"fees.wallet.config.Pay.GLOBAL_BANK.EFT.SERVER.ZA_Nedbank\"},{\"att\":\"prop\",\"val\":\"fees.wallet.config.Wdr.ZA_NEDBANK_EFT_IMMEDIATE.EFT\"},{\"att\":\"walletTypeIndex\",\"val\":\"0\"}]},{\"status\":\"ACTIVE\",\"name\":\"PayCorp Fees\",\"description\":\"Create System Wallet - PayCorp Fees\",\"walletTypeId\":3079,\"configuration\":[{\"att\":\"walletTypeIndex\",\"val\":\"0\"},{\"att\":\"prop\",\"val\":\"fees.wallet.config.Wdr.ZA_PAYCORP_ATM.ATM\"},{\"att\":\"walletTypeIndex\",\"val\":\"0\"}]},{\"status\":\"ACTIVE\",\"name\":\"HALO Fees\",\"description\":\"Create System Wallet - HALO Fees\",\"walletTypeId\":3079,\"configuration\":[{\"att\":\"walletTypeIndex\",\"val\":\"0\"},{\"att\":\"prop\",\"val\":\"fees.wallet.config.Pay.ZA_HALO.CARD.SERVER\"},{\"att\":\"walletTypeIndex\",\"val\":\"0\"}]},{\"status\":\"ACTIVE\",\"name\":\"Ozow Fees\",\"description\":\"Create Ozow Fees Wallet\",\"walletTypeId\":3079,\"configuration\":[{\"att\":\"walletTypeIndex\",\"val\":\"0\"},{\"att\":\"prop\",\"val\":\"fees.wallet.config.Pay.ZA_OZOW\"},{\"att\":\"walletTypeIndex\",\"val\":\"0\"}]}],\"createAdminUser\":[{\"adminUserId\":191161,\"firstName\":\"cVBTfymYwm\",\"lastName\":\"ylAONDdOki\",\"phone1\":\"27111234567\",\"identity\":\"RichardTenant103-system-user\",\"totpEnabled\":false,\"ssoEnabled\":false,\"positions\":[\"TENANT_SYSTEM\"]},{\"adminUserId\":212164,\"firstName\":\"Richard\",\"lastName\":\"Good\",\"email\":\"[email protected]\",\"phone1\":\"1234567890\",\"identity\":\"[email protected]_multi_tenant\",\"totpEnabled\":false,\"ssoEnabled\":false,\"positions\":[\"LEVEL_01\"]},{\"adminUserId\":640201,\"firstName\":\"Richard\",\"lastName\":\"Good\",\"email\":\"[email protected]\",\"phone1\":\"12345678900\",\"identity\":\"UNIQUE_TEST_RGOOD\",\"totpEnabled\":false,\"ssoEnabled\":false,\"positions\":[\"LEVEL_01\"]}],\"permission\":[{\"att\":\"BarWallet.WalletType0.UPDATE.Allowed\",\"val\":\"GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,LEVEL_04\"},{\"att\":\"UnbarWallet.WalletType0.UPDATE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_SUPPORT_L_3,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_SUPPORT_L_3,LEVEL_04\"},{\"att\":\"Reservation.WalletType0.CREATE.Allowed\",\"val\":\"GLOBAL_FINANCE_L_3,GLOBAL_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_FINANCE_L_2\"},{\"att\":\"Reservation.WalletType0.DELETE.Allowed\",\"val\":\"GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3\"},{\"att\":\"Reservation.WalletType0.READ.Allowed\",\"val\":\"GLOBAL_FINANCE_L_2,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,INSTITUTION_FINANCE_L_2,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3\"},{\"att\":\"Reservation.WalletType0.UPDATE.Allowed\",\"val\":\"GLOBAL_FINANCE_L_2,INSTITUTION_FINANCE_L_2\"},{\"att\":\"TransactionDescription.WalletType0.READ.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_1,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,LEVEL_01,LEVEL_02,LEVEL_03,LEVEL_04,CUSTOMER\"},{\"att\":\"Transfer.WalletType0.CREATE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3\"},{\"att\":\"TransferIgnoringLimits.WalletType0.CREATE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2\"},{\"att\":\"Wallet.WalletType0.CREATE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,GLOBAL_TECH_SUPPORT,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"Wallet.WalletType0.READ.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_1,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,LEVEL_01,LEVEL_02,LEVEL_03,LEVEL_04,CUSTOMER\"},{\"att\":\"Wallet.WalletType0.UPDATE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2\"},{\"att\":\"WalletType.WalletType0.UPDATE.Allowed\",\"val\":\"GLOBAL_FINANCE_L_2,INSTITUTION_FINANCE_L_2\"},{\"att\":\"WalletLimits.WalletType0.UPDATE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,GLOBAL_TECH_SUPPORT,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"BarWallet.WalletType1.UPDATE.Allowed\",\"val\":\"GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,GLOBAL_ADMIN,GLOBAL_SUPPORT_L_1,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,INSTITUTION_ADMIN,INSTITUTION_SUPPORT_L_1,LEVEL_04,LEVEL_01,LEVEL_02,LEVEL_03\"},{\"att\":\"UnbarWallet.WalletType1.UPDATE.Allowed\",\"val\":\"GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_SUPPORT_L_3,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_SUPPORT_L_3,LEVEL_04\"},{\"att\":\"WalletLimits.WalletType1.UPDATE.Allowed\",\"val\":\"GLOBAL_FINANCE_L_2,GLOBAL_TECH_SUPPORT,GLOBAL_ADMIN,INSTITUTION_FINANCE_L_2,INSTITUTION_TECH_SUPPORT,INSTITUTION_ADMIN\"},{\"att\":\"Reservation.WalletType1.CREATE.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_FINANCE_L_2,GLOBAL_ADMIN,GLOBAL_TECH_SUPPORT,INSTITUTION_FINANCE_L_2,INSTITUTION_ADMIN,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"Reservation.WalletType1.DELETE.Allowed\",\"val\":\"TENANT_SYSTEM,GLOBAL_FINANCE_L_2,GLOBAL_ADMIN,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,INSTITUTION_FINANCE_L_2,INSTITUTION_ADMIN,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3\"},{\"att\":\"Reservation.WalletType1.READ.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_FINANCE_L_2,GLOBAL_ADMIN,GLOBAL_FINANCE_L_1,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,INSTITUTION_FINANCE_L_2,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_1,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,LEVEL_01,LEVEL_02,LEVEL_03,LEVEL_04\"},{\"att\":\"Reservation.WalletType1.UPDATE.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2\"},{\"att\":\"TransactionDescription.WalletType1.READ.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_1,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,LEVEL_01,LEVEL_02,LEVEL_03,LEVEL_04\"},{\"att\":\"Wallet.WalletType1.CREATE.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,GLOBAL_TECH_SUPPORT,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"Wallet.WalletType1.DELETE.Allowed\",\"val\":\"TENANT_SYSTEM,GLOBAL_ADMIN,INSTITUTION_ADMIN\"},{\"att\":\"Wallet.WalletType1.READ.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_1,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,LEVEL_01,LEVEL_02,LEVEL_03,LEVEL_04\"},{\"att\":\"Wallet.WalletType1.UPDATE.Allowed\",\"val\":\"TENANT_SYSTEM,GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3\"},{\"att\":\"Transfer.WalletType1.CREATE.Allowed\",\"val\":\"CUSTOMER,GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2\"},{\"att\":\"TransferIgnoringLimits.WalletType1.CREATE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2\"},{\"att\":\"WalletType.WalletType1.UPDATE.Allowed\",\"val\":\"GLOBAL_FINANCE_L_2,GLOBAL_TECH_SUPPORT,INSTITUTION_FINANCE_L_2,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"WalletLimits.WalletType1.CREATE.Allowed\",\"val\":\"GLOBAL_TECH_SUPPORT,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"BarWallet.WalletType2.UPDATE.Allowed\",\"val\":\"GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,GLOBAL_ADMIN,GLOBAL_SUPPORT_L_1,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,INSTITUTION_ADMIN,INSTITUTION_SUPPORT_L_1,LEVEL_04,LEVEL_01,LEVEL_02,LEVEL_03\"},{\"att\":\"UnbarWallet.WalletType2.UPDATE.Allowed\",\"val\":\"GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_SUPPORT_L_3,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_SUPPORT_L_3,LEVEL_04\"},{\"att\":\"WalletLimits.WalletType2.UPDATE.Allowed\",\"val\":\"GLOBAL_FINANCE_L_2,GLOBAL_TECH_SUPPORT,GLOBAL_ADMIN,INSTITUTION_FINANCE_L_2,INSTITUTION_TECH_SUPPORT,INSTITUTION_ADMIN\"},{\"att\":\"Reservation.WalletType2.CREATE.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_FINANCE_L_2,GLOBAL_ADMIN,GLOBAL_TECH_SUPPORT,INSTITUTION_FINANCE_L_2,INSTITUTION_ADMIN,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"Reservation.WalletType2.DELETE.Allowed\",\"val\":\"TENANT_SYSTEM,GLOBAL_FINANCE_L_2,GLOBAL_ADMIN,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,INSTITUTION_FINANCE_L_2,INSTITUTION_ADMIN,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3\"},{\"att\":\"Reservation.WalletType2.READ.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_FINANCE_L_2,GLOBAL_ADMIN,GLOBAL_FINANCE_L_1,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,INSTITUTION_FINANCE_L_2,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_1,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,LEVEL_01,LEVEL_02,LEVEL_03,LEVEL_04\"},{\"att\":\"Reservation.WalletType2.UPDATE.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2\"},{\"att\":\"TransactionDescription.WalletType2.READ.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_1,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,LEVEL_01,LEVEL_02,LEVEL_03,LEVEL_04\"},{\"att\":\"Wallet.WalletType2.CREATE.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,GLOBAL_TECH_SUPPORT,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"Wallet.WalletType2.DELETE.Allowed\",\"val\":\"TENANT_SYSTEM,GLOBAL_ADMIN,INSTITUTION_ADMIN\"},{\"att\":\"Wallet.WalletType2.READ.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_1,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,LEVEL_01,LEVEL_02,LEVEL_03,LEVEL_04\"},{\"att\":\"Wallet.WalletType2.UPDATE.Allowed\",\"val\":\"TENANT_SYSTEM,GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3\"},{\"att\":\"Transfer.WalletType2.CREATE.Allowed\",\"val\":\"CUSTOMER,GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2\"},{\"att\":\"TransferIgnoringLimits.WalletType2.CREATE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2\"},{\"att\":\"WalletType.WalletType2.UPDATE.Allowed\",\"val\":\"GLOBAL_FINANCE_L_2,GLOBAL_TECH_SUPPORT,INSTITUTION_FINANCE_L_2,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"WalletLimits.WalletType2.CREATE.Allowed\",\"val\":\"GLOBAL_TECH_SUPPORT,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"BarWallet.WalletType3.UPDATE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,LEVEL_01,LEVEL_04\"},{\"att\":\"UnbarWallet.WalletType3.UPDATE.Allowed\",\"val\":\"GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_SUPPORT_L_3,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_SUPPORT_L_3\"},{\"att\":\"Reservation.WalletType3.CREATE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2,LEVEL_04\"},{\"att\":\"Reservation.WalletType3.DELETE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3\"},{\"att\":\"Reservation.WalletType3.READ.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_1,INSTITUTION_FINANCE_L_2,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,LEVEL_04\"},{\"att\":\"Reservation.WalletType3.UPDATE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2\"},{\"att\":\"TransactionDescription.WalletType3.READ.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_1,INSTITUTION_FINANCE_L_2,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,LEVEL_04\"},{\"att\":\"Transfer.WalletType3.CREATE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,LEVEL_04,LEVEL_10\"},{\"att\":\"TransferIgnoringLimits.WalletType3.CREATE.Allowed\",\"val\":\"GLOBAL_FINANCE_L_2,GLOBAL_TECH_SUPPORT,INSTITUTION_FINANCE_L_2,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"Wallet.WalletType3.CREATE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,GLOBAL_TECH_SUPPORT,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"Wallet.WalletType3.READ.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,LEVEL_04,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_1,INSTITUTION_FINANCE_L_2,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3\"},{\"att\":\"Wallet.WalletType3.UPDATE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,GLOBAL_TECH_SUPPORT,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"WalletType.WalletType3.UPDATE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,GLOBAL_TECH_SUPPORT,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"WalletLimits.WalletType3.CREATE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,GLOBAL_TECH_SUPPORT,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"Address.CREATE.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_3,INSTITUTION_ADMIN,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_3,HEAD,DIRECTOR,PARTNER\"},{\"att\":\"Address.DELETE.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,INSTITUTION_ADMIN,HEAD,DIRECTOR,PARTNER\"},{\"att\":\"Address.READ.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_3,LEVEL_01,LEVEL_02,LEVEL_03,LEVEL_04,GLOBAL_ADMIN,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_1,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_3,HEAD,DIRECTOR,PARTNER\"},{\"att\":\"Address.UPDATE.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_TECH_SUPPORT,GLOBAL_ADMIN,GLOBAL_SUPPORT_L_3,INSTITUTION_ADMIN,INSTITUTION_SUPPORT_L_3,INSTITUTION_TECH_SUPPORT,HEAD,DIRECTOR,PARTNER\"},{\"att\":\"Card.CREATE.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,GLOBAL_TECH_SUPPORT,LEVEL_04,INSTITUTION_ADMIN,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"Card.DELETE.Allowed\",\"val\":\"TENANT_SYSTEM,GLOBAL_ADMIN,INSTITUTION_ADMIN\"},{\"att\":\"Card.READ.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,LEVEL_01,LEVEL_02,LEVEL_03,LEVEL_04,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_1,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3\"},{\"att\":\"Card.UPDATE.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,GLOBAL_SUPPORT_L_3,GLOBAL_SUPPORT_L_2,LEVEL_04,INSTITUTION_ADMIN,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,LEVEL_03\"},{\"att\":\"CardOnFile.CREATE.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,INSTITUTION_ADMIN\"},{\"att\":\"Customer.CREATE.Allowed\",\"val\":\"TENANT_SYSTEM,GLOBAL_ADMIN,GLOBAL_TECH_SUPPORT,LEVEL_04,INSTITUTION_ADMIN,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"Customer.DELETE.Allowed\",\"val\":\"TENANT_SYSTEM,GLOBAL_ADMIN,GLOBAL_TECH_SUPPORT,INSTITUTION_ADMIN,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"Customer.READ.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,LEVEL_04,LEVEL_01,LEVEL_02,LEVEL_03,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_1,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3\"},{\"att\":\"Customer.UPDATE.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,GLOBAL_TECH_SUPPORT,INSTITUTION_ADMIN,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"Document.CREATE.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,LEVEL_04,INSTITUTION_ADMIN,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,LEVEL_03,HEAD,DIRECTOR,PARTNER\"},{\"att\":\"Document.DELETE.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,INSTITUTION_ADMIN,HEAD,DIRECTOR,PARTNER\"},{\"att\":\"Document.READ.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,LEVEL_01,LEVEL_02,LEVEL_03,LEVEL_04,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_1,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,GLOBAL_ADMIN,HEAD,DIRECTOR,PARTNER\"},{\"att\":\"Document.UPDATE.Allowed\",\"val\":\"TENANT_SYSTEM,GLOBAL_TECH_SUPPORT,GLOBAL_ADMIN,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,LEVEL_04,INSTITUTION_ADMIN,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,LEVEL_03,CUSTOMER,HEAD,DIRECTOR,PARTNER\"},{\"att\":\"Payment.CREATE.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,INSTITUTION_ADMIN\"},{\"att\":\"Payment.READ.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,LEVEL_02,LEVEL_01,LEVEL_03,LEVEL_04,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_1,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3\"},{\"att\":\"Ratify.CREATE.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,LEVEL_04,INSTITUTION_ADMIN,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,LEVEL_03,HEAD,DIRECTOR,PARTNER\"},{\"att\":\"Ratify.READ.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,LEVEL_02,LEVEL_01,LEVEL_03,LEVEL_04,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_1,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,GLOBAL_ADMIN,HEAD,DIRECTOR,PARTNER\"},{\"att\":\"TenantConfig.READ.Allowed\",\"val\":\"TENANT_SYSTEM,GLOBAL_ADMIN,GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,LEVEL_01,LEVEL_02,LEVEL_03,LEVEL_04\"},{\"att\":\"UserIdentity.CREATE.Allowed\",\"val\":\"TENANT_SYSTEM,GLOBAL_ADMIN,GLOBAL_TECH_SUPPORT,LEVEL_04\"},{\"att\":\"UserIdentity.DELETE.Allowed\",\"val\":\"TENANT_SYSTEM,GLOBAL_ADMIN,GLOBAL_TECH_SUPPORT\"},{\"att\":\"UserIdentity.READ.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,LEVEL_04,LEVEL_03,LEVEL_02,LEVEL_01\"},{\"att\":\"UserIdentity.UPDATE.Allowed\",\"val\":\"TENANT_SYSTEM,GLOBAL_ADMIN,GLOBAL_TECH_SUPPORT\"},{\"att\":\"Withdrawal.CREATE.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_FINANCE_L_2\"},{\"att\":\"Withdrawal.READ.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,LEVEL_01,LEVEL_02,LEVEL_03,LEVEL_04\"},{\"att\":\"Withdrawal.UPDATE.Allowed\",\"val\":\"TENANT_SYSTEM,CUSTOMER,GLOBAL_ADMIN,GLOBAL_FINANCE_L_2\"},{\"att\":\"PasswordChangeInit.CREATE.Allowed\",\"val\":\"ANONYMOUS,GLOBAL_ADMIN,INSTITUTION_ADMIN\"},{\"att\":\"Attachment.CREATE.Allowed\",\"val\":\"CUSTOMER\"},{\"att\":\"Attachment.DELETE.Allowed\",\"val\":\"CUSTOMER\"},{\"att\":\"Attachment.READ.Allowed\",\"val\":\"CUSTOMER,GLOBAL_ADMIN,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,LEVEL_01,LEVEL_04,INSTITUTION_ADMIN,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,LEVEL_03\"},{\"att\":\"Attachment.UPDATE.Allowed\",\"val\":\"CUSTOMER,GLOBAL_TECH_SUPPORT,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"CardOnFile.DECRYPT.Allowed\",\"val\":\"CUSTOMER\"},{\"att\":\"CardOnFile.DELETE.Allowed\",\"val\":\"CUSTOMER,GLOBAL_ADMIN,INSTITUTION_ADMIN\"},{\"att\":\"CardOnFile.READ.Allowed\",\"val\":\"CUSTOMER,GLOBAL_ADMIN,GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,LEVEL_01,LEVEL_02,LEVEL_03,LEVEL_04,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_1,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3\"},{\"att\":\"CardOnFile.UPDATE.Allowed\",\"val\":\"CUSTOMER,GLOBAL_ADMIN,INSTITUTION_ADMIN\"},{\"att\":\"CardTransaction.CREATE.Allowed\",\"val\":\"CUSTOMER,GLOBAL_ADMIN,INSTITUTION_ADMIN,TENANT_SYSTEM\"},{\"att\":\"Payment.UPDATE.Allowed\",\"val\":\"CUSTOMER,GLOBAL_ADMIN,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3\"},{\"att\":\"AdminUsers.CREATE.Allowed\",\"val\":\"GLOBAL_TECH_SUPPORT,GLOBAL_ADMIN,LEVEL_04,INSTITUTION_ADMIN,INSTITUTION_TECH_SUPPORT,LEVEL_03\"},{\"att\":\"AdminUsers.DELETE.Allowed\",\"val\":\"GLOBAL_TECH_SUPPORT,GLOBAL_ADMIN,LEVEL_04,INSTITUTION_ADMIN,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"AdminUsers.READ.Allowed\",\"val\":\"GLOBAL_TECH_SUPPORT,GLOBAL_ADMIN,GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,LEVEL_04,LEVEL_03,LEVEL_02,LEVEL_01,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_1,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3\"},{\"att\":\"AdminUsers.UPDATE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_TECH_SUPPORT,LEVEL_04\"},{\"att\":\"ManualRatify.CREATE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_SUPPORT_L_3,GLOBAL_SUPPORT_L_2,INSTITUTION_ADMIN,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3\"},{\"att\":\"Organisation.CREATE.Allowed\",\"val\":\"GLOBAL_ADMIN,LEVEL_04,INSTITUTION_ADMIN\"},{\"att\":\"Organisation.DELETE.Allowed\",\"val\":\"GLOBAL_ADMIN,LEVEL_04,INSTITUTION_ADMIN\"},{\"att\":\"Organisation.READ.Allowed\",\"val\":\"GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,LEVEL_04,LEVEL_03,LEVEL_02,LEVEL_01,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_1,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_3,INSTITUTION_SUPPORT_L_2,GLOBAL_ADMIN\"},{\"att\":\"Organisation.UPDATE.Allowed\",\"val\":\"GLOBAL_ADMIN,LEVEL_04,GLOBAL_TECH_SUPPORT,INSTITUTION_ADMIN,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"Report.CustomerAuditEvents.READ.Allowed\",\"val\":\"GLOBAL_TECH_SUPPORT,GLOBAL_ADMIN,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,LEVEL_01,LEVEL_04,INSTITUTION_ADMIN,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3,LEVEL_03\"},{\"att\":\"Report.WalletAuditEvents.READ.Allowed\",\"val\":\"GLOBAL_TECH_SUPPORT,GLOBAL_FINANCE_L_3,GLOBAL_FINANCE_L_2,GLOBAL_ADMIN,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,LEVEL_04,LEVEL_03,LEVEL_02,LEVEL_01,INSTITUTION_ADMIN,INSTITUTION_FINANCE_L_2,INSTITUTION_FINANCE_L_3,INSTITUTION_TECH_SUPPORT,INSTITUTION_SUPPORT_L_1,INSTITUTION_SUPPORT_L_2,INSTITUTION_SUPPORT_L_3\"},{\"att\":\"TenantConfig.CREATE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_TECH_SUPPORT,INSTITUTION_ADMIN,INSTITUTION_TECH_SUPPORT\"},{\"att\":\"TenantConfig.DELETE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_TECH_SUPPORT\"},{\"att\":\"TenantConfig.UPDATE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_TECH_SUPPORT\"},{\"att\":\"UserPosition.CREATE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_TECH_SUPPORT,LEVEL_04\"},{\"att\":\"UserPosition.DELETE.Allowed\",\"val\":\"GLOBAL_ADMIN,GLOBAL_TECH_SUPPORT\"},{\"att\":\"UserPosition.READ.Allowed\",\"val\":\"GLOBAL_FINANCE_L_1,GLOBAL_FINANCE_L_2,GLOBAL_FINANCE_L_3,GLOBAL_TECH_SUPPORT,GLOBAL_SUPPORT_L_1,GLOBAL_SUPPORT_L_2,GLOBAL_SUPPORT_L_3,LEVEL_01,LEVEL_02,LEVEL_03,LEVEL_04\"},{\"att\":\"WalletInfoOnGlobalWalletSearch.READ.Allowed\",\"val\":\"GLOBAL_FINANCE_L_2,GLOBAL_TECH_SUPPORT\"},{\"att\":\"ProfileOfNewCustomer.CREATE.Allowed\",\"val\":\"ONBOARDING\"},{\"att\":\"Notification.CREATE.Allowed\",\"val\":\"CUSTOMER\"}],\"initialTenantProperties\":[],\"publicTenantConfiguration\":[],\"tenantConfiguration\":[{\"att\":\"Everything.Allowed\",\"val\":\"false\"},{\"att\":\"source.wallet.config.ZA_PEACH_CARD\",\"val\":\"WalletIndex0\"},{\"att\":\"source.wallet.config.ZA_OZOW\",\"val\":\"WalletIndex0\"},{\"att\":\"source.wallet.config.ZA_MASTERPASS_IN.CARD.SERVER\",\"val\":\"WalletIndex1\"},{\"att\":\"source.wallet.config.GLOBAL_BANK.EFT.SERVER.ZA_Nedbank\",\"val\":\"WalletIndex2\"},{\"att\":\"source.wallet.config.GLOBAL_BANK.ATM.SERVER.ZA_Nedbank\",\"val\":\"WalletIndex2\"},{\"att\":\"source.wallet.config.ZA_PNP_DEPOSIT\",\"val\":\"WalletIndex4\"},{\"att\":\"source.wallet.config.ZA_HALO.CARD.SERVER\",\"val\":\"WalletIndex7\"},{\"att\":\"destination.wallet.config.ZA_PNP.CASH.NORMAL\",\"val\":\"WalletIndex8\"},{\"att\":\"destination.wallet.config.ZA_PNP.CASH\",\"val\":\"WalletIndex8\"},{\"att\":\"destination.wallet.config.ZA_PNP.TENDER\",\"val\":\"WalletIndex8\"},{\"att\":\"destination.wallet.config.ZA_NEDBANK_EFT.EFT\",\"val\":\"WalletIndex9\"},{\"att\":\"destination.wallet.config.ZA_NEDBANK_EFT_IMMEDIATE.EFT\",\"val\":\"WalletIndex9\"},{\"att\":\"destination.wallet.config.VAS.1\",\"val\":\"WalletIndex10\"},{\"att\":\"destination.wallet.config.VAS.11\",\"val\":\"WalletIndex10\"},{\"att\":\"destination.wallet.config.VAS.13\",\"val\":\"WalletIndex10\"},{\"att\":\"destination.wallet.config.ZA_PAYCORP_ATM.ATM\",\"val\":\"WalletIndex11\"},{\"att\":\"fees.wallet.config.Pay.ZA_MASTERPASS_IN.CARD.SERVER\",\"val\":\"WalletIndex12\"},{\"att\":\"fees.wallet.config.Pay.ZA_PNP_DEPOSIT\",\"val\":\"WalletIndex13\"},{\"att\":\"fees.wallet.config.Wdr.ZA_PNP.CASH.NORMAL\",\"val\":\"WalletIndex13\"},{\"att\":\"fees.wallet.config.Wdr.ZA_PNP.CASH\",\"val\":\"WalletIndex13\"},{\"att\":\"fees.wallet.config.Wdr.ZA_PNP.TENDER\",\"val\":\"WalletIndex13\"},{\"att\":\"fees.wallet.config.Pay.GLOBAL_BANK.ATM.SERVER.ZA_Nedbank\",\"val\":\"WalletIndex14\"},{\"att\":\"fees.wallet.config.Wdr.ZA_NEDBANK_EFT.EFT\",\"val\":\"WalletIndex14\"},{\"att\":\"fees.wallet.config.Pay.GLOBAL_BANK.EFT.SERVER.ZA_Nedbank\",\"val\":\"WalletIndex14\"},{\"att\":\"fees.wallet.config.Wdr.ZA_NEDBANK_EFT_IMMEDIATE.EFT\",\"val\":\"WalletIndex14\"},{\"att\":\"fees.wallet.config.Wdr.ZA_PAYCORP_ATM.ATM\",\"val\":\"WalletIndex15\"},{\"att\":\"fees.wallet.config.Pay.ZA_HALO.CARD.SERVER\",\"val\":\"WalletIndex16\"},{\"att\":\"fees.wallet.config.Pay.ZA_OZOW\",\"val\":\"WalletIndex17\"},{\"att\":\"institutionName\",\"val\":\"ZA_Nedbank\"},{\"att\":\"ptsInstitutionName\",\"val\":\"ZA_Nedbank\"},{\"att\":\"acceptorTerminalId\",\"val\":\"ABCDEFGH\"},{\"att\":\"acquirerCountryCode\",\"val\":\"710\"},{\"att\":\"acquiringInstitutionCode\",\"val\":\"020353\"},{\"att\":\"pointServiceCodes\",\"val\":\"000000000070035690210\"},{\"att\":\"posEntryMode\",\"val\":\"010\"},{\"att\":\"posPinCaptureCode\",\"val\":\"00\"},{\"att\":\"mcc\",\"val\":\"5999\"},{\"att\":\"mobilerecharge.providers\",\"val\":\"com.ukheshe.services.mobilerecharge.provider.AcsMobileRecharge\"},{\"att\":\"showCardDebitsAsNegative\",\"val\":\"true\"},{\"att\":\"ozow.payment.config.siteCode\",\"val\":\"TSTSTE0001\"},{\"att\":\"ozow.payment.config.countryCode\",\"val\":\"ZA\"},{\"att\":\"ozow.payment.config.privateKey\",\"val\":\"215114531AFF7134A94C88CEEA48E\"},{\"att\":\"ozow.payment.config.apiKey\",\"val\":\"EB5758F2C3B4DF3FF4F2669D5FF5B\"},{\"att\":\"ozow.payment.config.generateShortUrl\",\"val\":\"true\"},{\"att\":\"ozow.payment.config.enableTestEnvironment\",\"val\":\"false\"},{\"att\":\"fees.amount.config.Pay.ZA_OZOW\",\"val\":\"0.1P\"},{\"att\":\"nedbank.cps.config.cpsOutgoingWd\",\"val\":\"<TODO>\"},{\"att\":\"nedbank.cps.config.cpsIncomingWd\",\"val\":\"<TODO>\"},{\"att\":\"nedbank.cps.config.clientProfile\",\"val\":\"<TODO>\"},{\"att\":\"nedbank.cps.config.nominatedAccount\",\"val\":\"<TODO>\"},{\"att\":\"nedbank.cps.config.chargesAccount\",\"val\":\"<TODO>\"},{\"att\":\"nedbank.cps.config.environment\",\"val\":\"<TODO>\"},{\"att\":\"nedbank.cps.config.clientIdentifier\",\"val\":\"<TODO>\"},{\"att\":\"fees.amount.config.Pay.ZA_MASTERPASS_IN.CARD.SERVER\",\"val\":\"1P\"},{\"att\":\"fees.amount.config.Pay.GLOBAL_BANK.ATM.SERVER.ZA_Nedbank\",\"val\":\"1P\"},{\"att\":\"fees.amount.config.Pay.ZA_PNP_DEPOSIT\",\"val\":\"5A\"},{\"att\":\"fees.amount.config.Wdr.ZA_PNP.CASH\",\"val\":\"5A\"},{\"att\":\"fees.amount.config.Pay.GLOBAL_BANK.EFT.SERVER.ZA_Nedbank\",\"val\":\"0A\"},{\"att\":\"fees.amount.config.Wdr.ZA_NEDBANK_EFT.EFT.NORMAL\",\"val\":\"0A\"},{\"att\":\"fees.amount.config.TokenSms\",\"val\":\"0A\"},{\"att\":\"fees.amount.config.Wdr.ZA_NEDBANK_EFT.EFT\",\"val\":\"5A\"},{\"att\":\"reservationWalletId\",\"val\":\"<TODO>\"},{\"att\":\"identityFnameMinLength\",\"val\":\"2\"},{\"att\":\"identityLnameMinLength\",\"val\":\"2\"},{\"att\":\"impersonationAllowed\",\"val\":\"false\"},{\"att\":\"masterpass.config.apiUser\",\"val\":\"<TODO>\"},{\"att\":\"masterpass.config.apiPassword\",\"val\":\"<TODO>\"},{\"att\":\"withdrawal.limits.daily\",\"val\":\"3000\"},{\"att\":\"withdrawal.limits.monthly\",\"val\":\"24000\"},{\"att\":\"complianceRiskAgencies\",\"val\":\"OFAC,UN,MATCH,PEP\"},{\"att\":\"initialOCRChecks\",\"val\":\"selfieIsASelfie,selfieMatchesNationalIdentity|selfieMatchesPassport,firstNameMatchesNationalIdentity|firstNameMatchesPassport,lastNameMatchesNationalIdentity|lastNameMatchesPassport,identityNumberMatchesNationalIdentity|passportNumberMatchesPassport\"},{\"att\":\"user.new.ratify.method\",\"val\":\"true\"},{\"att\":\"skip.ratify.deprecated.results\",\"val\":\"true\"},{\"att\":\"attempt.onestep.payment.completion.enabled\",\"val\":\"true\"},{\"att\":\"heuristicCardTransactionHistory\",\"val\":\"true\"},{\"att\":\"showCardDebitsAsNegative\",\"val\":\"true\"}]}

Create tenant from file

A tenant can be created from a JSON tenant file. This is typically done when promoting a tenant to production.

Via API: Include the exportedTenantConfigurations field from the exported JSON in the body of the create-tenant call:

POST /eclipse-conductor/rest/v1/tenants
Content-Type: application/json
Authorization: Bearer <GLOBAL_ADMIN_OR_INSTITUTION_ADMIN_JWT>

{
  "name": "My Production Tenant",
  "tradingName": "My Production Tenant",
  "phone1": "1234567890",
  "email": "[email protected]",
  "institution": "MYINST",
  "exportedTenantConfigurations": { ... }
}

Via Admin Portal: When creating a new tenant, upload the exported JSON file to populate all configuration automatically.

Important: Review all <TODO> placeholders in the exported JSON before creating the production tenant. Any <TODO> value that is not replaced will result in misconfigured integrations or missing credentials that will cause failures when the tenant goes live.

Common TODO Fields

The following config keys are always marked <TODO> in exports because they are environment-specific and must be provided for production:

Config KeyDescription
nedbank.cps.config.*Nedbank CPS integration credentials and account numbers
masterpass.config.apiUser / apiPasswordMastercard Masterpass API credentials
reservationWalletIdWallet ID used for payment reservations (differs per environment)
ozow.payment.config.privateKey / apiKeyOzow payment gateway credentials
Any hsmServiceNameHSM service name for the production environment